﻿/* #region  GENERAL */

*{
	margin:0;
	padding:0;
}

#pageTitle{
    margin: 55px 0px 0px -140px;
}

#contentRow{
    padding-top: 70px;
}

/* #endregion */

/* #region NAVIGATION HAUTE */


#s4-titlerow{
    height: 110px;
    position: relative;
    padding: 0;
    box-sizing: border-box;
    background-color: #24DFCB;
}


/* Navigation wrapper */
[id^=zz][id$=TopNavigationMenu],
[id^=zz][id$=TopNavigationMenuV4]{
    width: 100%;
}

[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu],
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu]{
    width: 100%;
    position: relative;
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
}


/*alignement vertical Logo */
#siteIcon{
    margin: 30px 0px 0px 30px
}

/*alignement vertical éléments de la navigation */
#titleAreaBox .ms-breadcrumb-top {
    margin-top: 43px;
}

/* redimensionnement logo */

.ms-siteicon-img{

    height:44px !important;
    
     width: 311px !important;
    
     max-height: 44px !important ;
    
     max-width: 311px !important ;
    
    }

.ms-siteicon-a{
    display: inline;
}

/* #endregion */

/* #region ELEMENTS DE LA NAVIGATION HAUTE */


/* Navigation button space bewteen */
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li,
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li.selected,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li.selected,
.ms-navedit-linkCell{
    margin : 0px 20px 0px 20px;
}

[id^=zz][id$=V4QuickLaunchMenu] > .ms-core-listMenu-root > li > .ms-core-listMenu-item{
    color: black;
}


/* Active navigation button */
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li.selected > a span,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li > a.hover  span,
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li >  a.hover span,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li.selected > a  span,
.ms-navedit-linkCell{
    color : #ffffff;
}

/* Text in button */
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li > a > span > span,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li > a > span > span,
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li > ul > li > a > span > span,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li > ul > li > a > span > span{
    color: #ffffff;
    font-size: 19px;
    letter-spacing: 0.33px;
    line-height: 27px;
    text-align: center;
}


/* Active text in button */
[id^=zz][id$=TopNavigationMenu] > [id^=zz][id$=RootAspMenu] > li.selected > a > span > span,
[id^=zz][id$=TopNavigationMenuV4] > [id^=zz][id$=RootAspMenu] > li.selected > a > span > span{
    font-size: 20px;
    line-height: 23px;
    text-align: center;
}

/* Menu déroulant */
ul.dynamic{
    width: max-content;
}

ul.dynamic > li.dynamic > a > span > span{
    font-size: 15px;
    font-weight: 500;
} 

/*edit link*/

#s4-titlerow .ms-navedit-editLinksText > span > .ms-metadata, .ms-core-listMenuEdit > tr > .ms-navedit-linkCell > .ms-core-listMenu-item,
#s4-titlerow .ms-navedit-editLinksText:hover > span > .ms-metadata, .ms-core-listMenuEdit > tr > .ms-navedit-linkCell > .ms-core-listMenu-item{
    color: #ffffff;
}

/* #endregion */

/* #region BARRE DE RECHERCHE  SUR LA PAGE D'ACCUEIL */

/* Div comprenant toute la barre de recherche */

.ms-srch-sb{
    width: 232px;
    height: 35px;
    border: 1px solid #C1C1C1;
    background-color: #FFFFFF;  
}

/*alignement vertical recherche */
#searchInputBox{
    margin-top: 26px;
}


/* Texte */
#ctl00_PlaceHolderSearchArea_SmallSearchInputBox1_csr_sboxdiv > input{
    margin: 0;
    width: 174px;
    padding: 9px 0px 6px 10px;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.97px;
}

/* Loupe */
.ms-srch-sb > .ms-srch-sb-searchLink{
    margin: 7px 0px 0px 14px;
}

.ms-srch-sb > .ms-srch-sb-searchLink > img:active{
    background-color: #F3827D;
}

/* masquer hover bleu de la loupe */
.ms-srch-sb > .ms-srch-sb-searchLink:hover,
.ms-srch-sb > .ms-srch-sb-searchLink:active{
    background : none !important;
}

/* #endregion */

/* #region NAVHEADER */


/* Couleur de la suite nav*/
#O365_NavHeader{
    background-color: #F7F7F2 !important;
}

/* Border du ruban*/
 #RibbonContainer{
    border: 1px solid rgba(231,231,231,0.52)       
} 

/* Quick launch partie administration */

.ms-core-listMenu-item, .ms-core-listMenu-item:link, .ms-core-listMenu-item:visited, .ms-tv-item:link, .ms-tv-item:visited, .ms-tv-header:link, .ms-tv-header:visited {
    color : #003768 ;
    font-size: 14px !important;
    font-weight: bold;
    line-height: 19px !important;
    letter-spacing: 1.1px;
    border-bottom: 1px solid #EEEEEE;
}

.ms-core-listMenu-verticalBox > .ms-core-listMenu-root > li > .ms-core-listMenu-item, .ms-core-listMenu-verticalBox > .ms-core-listMenu-root > li > .ms-core-listMenuEdit, .ms-core-listMenu-heading, .ms-tv-header {
    letter-spacing: 1.9px;
    color: #00133A;
    text-transform: uppercase;  
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 15px;
}

#idStorefrontListManageFilter > li > a {  /* Partie ajout d'une application dans contenu de site */
    padding-left: 30px;
}


.ms-ref-name {
    color: #003768 !important;
}
 /* Quadrillage des paramètres */
#O365_MainLink_Settings, #O365_MainLink_Help, #O365_MainLink_Me{
    border-left: 1px solid #CACCCA !important;
}
 /* Police du nom de l'utilisateur */
#O365_MainLink_Me span{
    color: #004889;
}

/*paramètres*/
#O365_MainLink_Settings span{
    color: #004889;
}

/*aide*/
#O365_MainLink_Help span{
    color: #004889;
}

/* background-color lanceur d'application */
#O365_MainLink_NavMenu{
    background-color: #FFFFFF !important;
}

/* carrés du lanceur d'applications*/
.o365cs-base .o365cs-navMenuButton{
    color: #00133A;
}

.o365cs-nav-header16 .o365cs-nav-o365Branding{
    display: none;
}
/* #endregion */

/* #region FOOTER */
#wrapper {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -191px;
    overflow: visible !important;
  }

/* push and footer need to have the same height*/
#push, #footer{
    clear: both;
    height: 191px;
    background-color: #F7F7F2;
}
#footer{
    background-color: #00133A;;	
    bottom: 0px;
    position: relative;
	flex-grow: 1;
	display: flex;
	align-items: center;
    justify-content: space-between;
    color: white;
    font-size: 14px;
    letter-spacing: 0.4px;
    line-height: 19px;
}

.row{
    display: flex;
    justify-content: space-around;
    flex-direction: row;
    margin-left: -16px;
}

.bolder{
    font-weight: bolder;
}

.bold{
    font-weight: bold;
}

.réseaux img{
    background-color: #00133A;
    margin-left: 40px;
    height: 23px;
    width: 24.15px;
}

/* #endregion */

/* #region WEBPARTS */

/*div de la webpart*/
.ms-webpartzone-cell{
    display: block;
    border: 1px solid #DEDEDE !important;
    border-radius: 5px;
    background-color: white;
} 
 
.ms-webpart-chrome-vertical{
    display: block;
}

.ms-wpContentDivSpace,
.ms-rte-embedwp,
[id^=WebPartWPQ]{
    padding: 10px;
}

/* titre*/
.ms-webpart-titleText{
    padding: 10px 4px 4px 4px;
    text-align: center !important;
    display: block;
    color: #135B9C;
    font-size: 20px;
    letter-spacing: 0.4px;
    line-height: 24px;
    height: 27.31px;    
}

.ms-webpart-chrome-title{
    border-bottom: 1px solid #DEDEDE;
}

[id^=WebPartCaptionWPQ] {
    display: none !important;
}

/*selected element drop down button*/
.s4-itm-selected .ms-list-itemLink-td, .s4-itm-selected:hover .ms-list-itemLink-td,
.ms-itmHoverEnabled:hover .ms-list-itemLink-td{
    background-color: rgba(39, 239, 218, 0.60) !important;
}


/* #endregion */

/* #region QUICK LAUNCH */
/* Hide 'Edit link' */
.static.ms-verticalAlignTop.ms-listMenu-editLink.ms-navedit-editArea{
    display: none;
}

/* left navigation wrapper*/
#sideNavBox{
    display: inline-block;
    position: relative;
    width: 190px;
    height:inherit;
    left:0px;
    margin-left: 0px !important;
    margin-right:20px !important;
    overflow:hidden;
    margin-bottom: 0px;
    margin-top: -19px;
    background-color: #FFFFFF;
	font-family : "Capriola-Regular","Segoe UI Semilight","Segoe UI","Segoe",Tahoma,Helvetica,Arial,sans-serif;  
    border: 1px solid #F5F5F5;
}

/* Level 1 button */
[id^=zz][id$=V4QuickLaunchMenu] > ul > li{ 
    padding: 0px;
    background-color: #FFFFFF;
    margin-left: -15px;
}

[id^=zz][id$=V4QuickLaunchMenu] > ul > li > a:hover{ 
    background-color: #DEDEDE;    
}

[id^=zz][id$=V4QuickLaunchMenu] > ul.static > li.static > a.static,
[id^=zz][id$=V4QuickLaunchMenu] > ul.static > li.static > span.static,
.static.ms-verticalAlignTop.ms-listMenu-editLink.ms-navedit-editArea{
    padding-left: 50px;
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #DEDEDE;
    
}

/* Level 1 text */
[id^=zz][id$=V4QuickLaunchMenu] > ul > li > .ms-core-listMenu-item > span > span{
	height: 1.72%;
	width: 12.47%;
    color: #00133A;
	letter-spacing: 1.9px;
    font-size: 14px;
	font-weight: bold;
    line-height: 19px;
    text-transform: uppercase;
}

/* selected level 1 button */
[id^=zz][id$=V4QuickLaunchMenu] > ul > li > a.selected{
    background-color: #003768 !important;
}

[id^=zz][id$=V4QuickLaunchMenu] > ul > li > a.selected span span{
    color: #FFFFFF;
}

[id^=zz][id$=V4QuickLaunchMenu] > ul > li.selected{ 
    padding: 0px;
}

/* level 2 button */
[id^=zz][id$=V4QuickLaunchMenu] > ul > li > ul > li > .ms-core-listMenu-item{
    background-color: #F5F5F5;
    border-bottom: 1px solid #DEDEDE;
    width : 173px;
}
[id^=zz][id$=V4QuickLaunchMenu] > ul> li > ul > li {
    padding: 0px 0px 0px 10px;
    width: inherit;
    word-wrap: break-word;
	letter-spacing: 1.4px;
    font-size: 14px;
	font-weight: 600;
}

/* Level 2 text wrapper */
[id^=zz][id$=V4QuickLaunchMenu] > ul.static > li.static > ul.static > li.static > a.static{
    padding-left: 50px;
    padding-top: 15px;
    padding-bottom: 15px;
    width: inherit;
}
[id^=zz][id$=V4QuickLaunchMenu] > ul > li > ul > li > a{
    background-color: #E8F6FC;
}

/* selected level 2 button */
[id^=zz][id$=V4QuickLaunchMenu] > ul> li > ul > li.selected{
    background-color: #003768 !important;
}

[id^=zz][id$=V4QuickLaunchMenu] > ul> li > ul > li.selected > a > span > span{
    color: #FFFFFF;
}
/* Level 2 text*/
[id^=zz][id$=V4QuickLaunchMenu] > ul > li > ul > li > .ms-core-listMenu-item > span > span{
	height: 17px;
	width: 179.57px;
	font-size: 14px;
	font-weight: 600;
	letter-spacing: 1.4px;
    line-height: 17px;
    color: #003768;
}

/* Inherit corev background*/
li > a.ms-core-listMenu-item.ms-core-listMenu-selected:hover,
li > a.ms-core-listMenu-item:hover,
li > a.ms-core-listMenu-item:active{
 background-color:inherit !important;}
.ms-core-listMenu-selected:link,
.ms-core-listMenu-selected:visited,
.ms-core-listMenu-selected{
 background-color: inherit !important;
}


/* #endregion */

/*Resolution bugs graphiques*/

/*Navigation nouveau lien*/

a.ms-tv-item:hover
{
	color: #00133A !important;
}

 .ms-tv-item:link, .ms-tv-item:visited
{
	color:rgb(92, 93, 94) !important;
}


/*Webpart recherche onglets*/

.ms-srchnav-link:link, .ms-srchnav-link:visited
{
    color: #666666 !important;
}

.ms-srchnav-link-selected:link, .ms-srchnav-link-selected:visited{
    color: #003768 !important;
}


/* #endregion */ 